petsc-3.12.4 2020-02-04
Report Typos and Errors

# PCMGSetInterpolation

Sets the function to be used to calculate the interpolation from l-1 to the lth level

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCMGSetInterpolation(PC pc,PetscInt l,Mat mat)

Logically Collective on PC

### Input Parameters

| pc | - the multigrid context
| mat | - the interpolation operator
| l | - the level (0 is coarsest) to supply [do not supply 0]

### Notes

Usually this is the same matrix used also to set the restriction for the same level.

One can pass in the interpolation matrix or its transpose; PETSc figures out from the matrix size which one it is.

### See Also

PCMGSetRestriction()

### Level

advanced

### Location

src/ksp/pc/impls/mg/mgfunc.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages